#!/usr/bin/env bash

mypath="$(dirname "`readlink -f "$0"`")"

distpath="$(readlink -f "$mypath"/../../build/jfx/app)"
pkgroot='whcheckout'

if [ ! -d "$distpath" ]; then
    echo "dist path not found. Please build first"
    exit 1
fi

tempdir=$(mktemp -d)

mkdir -p $tempdir/$pkgroot/dist
cp -R $distpath/* $tempdir/$pkgroot/dist

mkdir -p $tempdir/$pkgroot/jre
cp -R $JRE_HOME/* $tempdir/$pkgroot/jre

cp "$mypath"/run.sh $tempdir/$pkgroot
chmod +x $tempdir/$pkgroot/run.sh

cp "$mypath"/create-desktop-entry.sh $tempdir/$pkgroot
chmod +x $tempdir/$pkgroot/create-desktop-entry.sh

cp "$mypath"/../../VERSION $tempdir/$pkgroot

version=$(cat "$mypath"/../../VERSION)
pkgname=whcheckout-$version
tar -czvf $pkgname.tar.gz -C $tempdir $pkgroot
rm -rf $tempdir
